const inquirer =require('inquirer')
const {program} =require('commander')
const fs =require('fs')
const path=require('path')
const copy=function(sourcePath,targetPath){    
    const files=fs.readdirSync(sourcePath)
    if(!fs.existsSync(targetPath)){
           fs.mkdirSync(targetPath);
    }
    files.forEach(file => {
        // 拼接每个文件的文件路径
        const filepath = path.join(sourcePath, file);
        // 获得每个文件的文件状态
        const filestat = fs.statSync(filepath);
        // 拼接要文件的复制路径
        const targetFilePath = path.join(targetPath, file);
        console.log(targetFilePath);
        // 判断是不是文件
        if (filestat.isFile()) {
          // 读文件、写文件
          const text = fs.readFileSync(filepath);
          fs.writeFileSync(targetFilePath, text);
        }
              // 是文件夹递归遍历
        else {
          copy(filepath, targetFilePath);
        }
      });

}
const actionHandler=function(){
    inquirer.prompt([
        {
            type:'input',
            message:'请输入你的项目名称',
            name:'name'
        },
        {
            type:'input',
            name:'desc',
            message:'请输入你的项目描述'
        },
        {
            type:'list',
            name:"type",
            choices:['vue','react'],
            message:'请选择你的项目'
        }
    ]).then(res=>{
        var targetPath=path.join(process.cwd(),res.name)
        var sourcePath=path.join(__dirname,'./lib',res.type)
        console.log(res.type);

      if(!fs.existsSync(targetPath)){
          var err=fs.mkdirSync(targetPath)
          if(!err){
               copy(sourcePath, targetPath);
          }
      }else{
        throw new Error("文件已经存在！");
      }
    })
}
program.version('1.1.0')
program.command('init').action(actionHandler)
program.parse(process.argv)