import { IConfig } from "umi-types";

// ref: https://umijs.org/config/
const config: IConfig = {
  treeShaking: true,
  routes: [
    { path: "/login", component: "../pages/user/login/index" },
    {
      path: "/",
      component: "../components/layouts/index",
      routes: [
        {
          path: "/",
          redirect: "/user"
        },
        {
          path: "/user",
          component: "../pages/user",
          routes: [
            {
              path: "/user",
              redirect: "/user/add"
            },
            { path: "/user/add", component: "../pages/user/add" },
            { path: "/user/list", component: "../pages/user/list" }
          ]
        }
      ]
    }
  ],
  plugins: [
    // ref: https://umijs.org/plugin/umi-plugin-react.html
    [
      "umi-plugin-react",
      {
        antd: true,
        dva: true,
        dynamicImport: { webpackChunkName: true },
        title: "umi-cli",
        dll: true,
        locale: {
          enable: true,
          default: "en-US"
        },
        routes: {
          exclude: [
            /models\//,
            /services\//,
            /model\.(t|j)sx?$/,
            /service\.(t|j)sx?$/,
            /components\//
          ]
        }
      }
    ]
  ],
  cssLoaderOptions: {
    localIdentName: "[local]"
  },
  proxy: {
    "/api": {
      target: "http://localhost:7001",
      changeOrigin: true,
      pathRewrite: { "^/api": "" }
    }
  }
};

export default config;
