/*
 * @Author: heinan
 * @Date: 2021-04-25 14:16:04
 * @Last Modified by: heinan
 * @Last Modified time: 2021-05-12 16:27:14
 */

// import axios from 'axios';
import request from "@/utils/request";
import { resolve } from "@/utils";
import { IAccount } from "@/interface/user";

/**
 * 获得登陆图形验证码
 */
export function _getVerifyCode() {
  const url = resolve("/captchaImage");
  return request.get(url);
}

/**
 * 登陆接口
 * @param username  string 用户名
 * @param password  string 密码
 * @param code  string  验证码
 * @param key  string 登陆类型  学生｜老师
 * @param uuid  string 设备的用户id
 */

export function _userLogin({ user_name, user_pwd, user_code }: IAccount) {
  const url = "/api/user/login";
  return request.post(url, {
    user_name,
    user_pwd,
    user_code
  });
}

/**
 * 根据token获得用户信息
 */
export function _getUserInfo() {
  const url = "/api/user/userInfo";
  return request.get(url);
}

export function _getViewAuthorityById(user_id: string) {
  const url = "/api/user/new";
  return request.get(url, {
    params: {
      user_id
    }
  });
}

export function _getCaptcha() {
  const url = "/api/getCapture";
  return request.get(url);
}
