/*
 * @Author: heinan
 * @Date: 2021-05-12 16:20:59
 * @Last Modified by: heinan
 * @Last Modified time: 2021-05-12 16:41:09
 */
import React, { Component } from "react";
import { _getViewAuthorityById } from "@/api/user";
import menuConfig from "@/config/menu";
import Redirect from "umi/redirect";

const hocMenuInterceptor = function(option: object) {
  return function(WraperComponent: any) {
    return class extends Component {
      state = {
        menuList: []
      };
      componentDidMount() {
        this.getViewAuthorityById();
      }
      async getViewAuthorityById() {
        const uid: any = localStorage.getItem("USER_ID");
        const result = await _getViewAuthorityById(uid);
        const menuList = result.data.data;
        const temp: any = [];
        menuList.map((list: any) => {
          const menuItm = menuConfig.find((menu: any) => {
            return list["view_id"] === menu.key;
          });
          if (menuItm) {
            temp.push(menuItm);
          }
        });
        this.setState({
          menuList: temp
        });
      }
      render() {
        const isLogin = localStorage.getItem("token") !== null;
        return isLogin ? (
          <WraperComponent {...this.state}></WraperComponent>
        ) : (
          <Redirect to="/login" />
        );
      }
    };
  };
};

export default hocMenuInterceptor;
