import React from 'react';
import { Row, Col } from 'antd';
import './footer.css';

const Footer: React.FC = props => {
  return (
    <footer className="footer text-center">
      <Row className="wraper-content">
        <Col xs={{ span: 24 }} sm={{ span: 24 }} md={{ span: 4 }}>
          <dl>
            <dt>
              <img src="http://111.203.59.61:8060/static/img/bottom_logo.c8aa9859.png" alt="" />
            </dt>
            <dd>
              <h2 className="text-white mt25">400-008-0987</h2>
            </dd>
          </dl>
        </Col>
        <Col sm={{ span: 24 }} md={{ span: 16 }}>
          <Row gutter={[24, 16]}>
            <Col xs={{ span: 12 }} md={{ span: 6 }}>
              <h3>走进八维</h3>
              <ul className="mt15">
                <li>
                  <a href="http://bwie.cn/bwie/about.html">集团概况</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/news/index.html">八维动态</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/lead.html">领导关怀</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/honour.html">企业荣誉</a>
                </li>
              </ul>
            </Col>
            <Col xs={{ span: 12 }} md={{ span: 6 }}>
              <h3>八维文化</h3>
              <ul className="mt15">
                <li>
                  <a href="http://bwie.cn/bwie/culture.html">八维理念</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/spirit.html">八维精神</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/dak.html">文化驿站</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/dak.html">文化驿站</a>
                </li>
              </ul>
            </Col>
            <Col xs={{ span: 12 }} md={{ span: 6 }}>
              <h3>社会责任</h3>
              <ul className="mt15">
                <li>
                  <a href="http://bwie.cn/bwie/duty/public.html">社会公益</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/duty/great.html">大善之举</a>
                </li>
              </ul>
            </Col>
            <Col xs={{ span: 12 }} md={{ span: 6 }}>
              <h3>联系我们</h3>
              <ul className="mt15">
                <li>
                  <a href="http://bwie.cn/bwie/partners.html">业务合作</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/sign_up.html">咨询报名</a>
                </li>
                <li>
                  <a href="http://bwie.cn/bwie/concact.html">联系方式</a>
                </li>
              </ul>
            </Col>
          </Row>
        </Col>
        <Col sm={{ span: 24 }} md={{ span: 4 }}>
          <dl>
            <dt>
              <img src="http://111.203.59.61:8060/static/img/wechat.e60a83ec.png" alt="" />
            </dt>
            <dd className="mt20">八维微信公众号</dd>
          </dl>
        </Col>
      </Row>
      <div className="footer-sign">
        京公网安备 11010802031438号 © Copyright 2020. 八维教育版权所有 | 京ICP备12008262号-12
      </div>
    </footer>
  );
};

export default Footer;
