/*
 * @Author: heinan
 * @Date: 2021-04-26 14:17:57
 * @Last Modified by: heinan
 * @Last Modified time: 2021-04-28 10:56:30
 */
import React, { Component } from "react";
import styles from "./header.css";
import { Menu, Avatar, Popover } from "antd";
import NavLink from "umi/navlink";
import withRouter from "umi/withRouter";
import { getSession, setSession } from "@/utils";

interface IHeaderProps {
  userInfo: object;
}
interface IHeaderState {
  current: string;
}

@withRouter
class Header extends Component<IHeaderProps, IHeaderState> {
  static defaultProps = {
    userInfo: {
      user_name: "",
      identity_text: ""
    }
  };
  render() {
    const { user_name, identity_text }: any = this.props.userInfo;
    const popoverContent = (
      <Menu style={{ borderRightWidth: 0 }}>
        <Menu.Item>个人信息</Menu.Item>
        <Menu.Item>系统设置</Menu.Item>
        <Menu.Item>退出</Menu.Item>
      </Menu>
    );
    return (
      <header className="header">
        <div className="wraper-content">
          <div className="float-right pr15">
            <div className="header-avatar mt10">
              <Popover
                placement="bottom"
                content={popoverContent}
                trigger="click"
              >
                <span className="pr10">
                  {identity_text}-{user_name}
                </span>
                <Avatar
                  shape="square"
                  size="small"
                  icon={
                    <img
                      src={`https://gimg2.baidu.com/image_search/src=http%3A%2F%2Fhbimg.huabanimg.com%2F0830450561b24f4573bed70d7f74bd43f39302e11bee-s2tj6i_fw658&refer=http%3A%2F%2Fhbimg.huabanimg.com&app=2002&size=f9999,10000&q=a80&n=0&g=0n&fmt=jpeg?sec=1623312543&t=602028cd27e8f485b1572a674ef422f5`}
                      alt=""
                    />
                  }
                />
              </Popover>
            </div>
          </div>
          <div className="float-left pl15 pr15 mt10">
            <img
              className={styles.logo}
              src={require("@/assets/images/bw.a718dea8.png")}
              alt="logo"
            />
          </div>
        </div>
      </header>
    );
  }
}
export default Header;
