import React, { useState, useEffect } from "react";
import { _getUserInfo } from "@/api/user";

import Slide from "@/components/slide";
import Header from "./header";
import Footer from "./footer";

const BasicLayout: React.FC = props => {
  const [userInfo, setUserInfo] = useState({});

  useEffect(() => {
    const getUserInfo = async () => {
      const result = await _getUserInfo();
      setUserInfo(result.data.data);
    };
    getUserInfo();
  }, []);
  return (
    <div className="wraper">
      <Header userInfo={userInfo}></Header>
      <div className="content">
        <Slide>{props.children}</Slide>
      </div>
      <Footer></Footer>
    </div>
  );
};

export default BasicLayout;
