import React, { Component } from "react";
import { Menu, Icon } from "antd";
import Link from "umi/link";
import hocMenuInterceptor from "@/components/interceptor";

@hocMenuInterceptor()
class SlideLeft extends Component<any, any> {
  render() {
    const { SubMenu } = Menu;
    return (
      <Menu
        style={{ position: "absolute", top: 0, bottom: 0 }}
        defaultSelectedKeys={["1"]}
        defaultOpenKeys={["sub1"]}
        mode="inline"
        theme="dark"
      >
        {this.props.menuList.map((menu: any) => (
          <SubMenu
            key={menu.key}
            title={
              <span>
                <Icon type="mail" />
                <Link to={menu.path}>
                  <span>{menu.title}</span>
                </Link>
              </span>
            }
          >
            {menu.children &&
              menu.children.map((subMenu: any) => {
                return (
                  <Menu.Item key={subMenu.key}>
                    <Link to={subMenu.path}>{subMenu.title}</Link>
                  </Menu.Item>
                );
              })}
          </SubMenu>
        ))}
      </Menu>
    );
  }
}
export default SlideLeft;
