/*
 * @Author: heinan
 * @Date: 2021-04-25 13:22:32
 * @Last Modified by: heinan
 * @Last Modified time: 2021-05-12 16:30:19
 */
import { _userLogin } from "@/api/user";
import { actionCreator } from "@/utils/action";
import router from "umi/router";
import { getSession, setSession } from "@/utils";
import { USER_ANTUORIZATION } from "@/config";

export interface IState {
  user_id: string;
  token: string;
}
interface IAction {
  type: string;
  payload: any;
}
export default {
  namespace: "app",
  state: {
    user_id: "",
    token: getSession(USER_ANTUORIZATION) || ""
  },
  reducers: {
    UPDATE_TOKEN(state: IState, { payload }: IAction) {
      return {
        ...state,
        token: payload.token,
        user_id: payload.user_id
      };
    }
  },
  effects: {
    *USER_LOGIN({ payload }: IAction, { call, put }: any) {
      const result = yield call(_userLogin, payload);
      if (result.data.code) {
        const payload = {
          toke: result.data.token,
          user_id: result.data.userInfo.user_id
        };
        yield put(actionCreator("UPDATE_TOKEN", payload));
        setSession(USER_ANTUORIZATION, payload.toke);
        setSession("USER_ID", payload.user_id);
        router.push("/");
      }
    }
  }
};
