import React, { Component, ChangeEvent } from "react";
import { connect } from "dva";
import { Form, Icon, Input, Button, Row, Col } from "antd";
import style from "./login.css";
// import { _getCaptcha } from "@/api/user";

const mapState2Props = function(store: any) {
  return store.app;
};
const mapDispatch2Props = function(dispatch: any) {
  return {
    login(account: any) {
      dispatch({
        type: "app/USER_LOGIN",
        payload: account
      });
    }
  };
};

@Form.create({ name: "loginForm" })
@connect(mapState2Props, mapDispatch2Props)
class Login extends Component<any, any> {
  // state = {
  //   svgCaptcha: ""
  // };
  handleSubmit(e: any) {
    e.preventDefault();
    this.props.form.validateFields((err: string, account: object) => {
      if (!err) {
        this.props.login(account);
      }
    });
  }
  // componentDidMount() {
  //   this.getCaptcha();
  // }
  // async getCaptcha() {
  //   const result = await _getCaptcha();
  //   console.log(result.data);
  //   this.setState({ svgCaptcha: result.data });
  // }
  render() {
    const { getFieldDecorator } = this.props.form;
    const formItemLayout = {
      labelCol: {
        md: { span: 4 }
      },
      wrapperCol: {
        md: { span: 20 }
      }
    };
    const tailFormItemLayout = {
      wrapperCol: {
        md: {
          span: 20,
          offset: 4
        }
      }
    };
    return (
      <>
        <div className="loginWraper">
          <h1 className="mb15 text-center">实训平台登陆系统</h1>
          <Form
            {...formItemLayout}
            onSubmit={e => this.handleSubmit(e)}
            className={style.loginForm}
          >
            <Form.Item label="用户名">
              {getFieldDecorator("user_name", {
                rules: [
                  { required: true, message: "Please input your username!" }
                ],
                initialValue: "heinan"
              })(
                <Input
                  prefix={
                    <Icon type="user" style={{ color: "rgba(0,0,0,.25)" }} />
                  }
                  placeholder="Username"
                />
              )}
            </Form.Item>
            <Form.Item label="密码">
              {getFieldDecorator("user_pwd", {
                rules: [
                  { required: true, message: "Please input your Password!" }
                ],
                initialValue: "1qaz!QAZ"
              })(
                <Input
                  prefix={
                    <Icon type="lock" style={{ color: "rgba(0,0,0,.25)" }} />
                  }
                  type="password"
                  placeholder="Password"
                />
              )}
            </Form.Item>
            <Form.Item label="验证码">
              {getFieldDecorator("user_code", {
                rules: [
                  { required: true, message: "Please input your Password!" }
                ]
              })(
                <Row gutter={15}>
                  <Col span={12}>
                    <Input placeholder="请输入验证码" />
                  </Col>
                  <Col span={12}>
                    <img src="/api/getCapture" alt="" />
                    {/* <span
                      dangerouslySetInnerHTML={{
                        __html: this.state.svgCaptcha
                      }}
                    ></span> */}
                  </Col>
                </Row>
              )}
            </Form.Item>
            <Form.Item {...tailFormItemLayout}>
              <Button
                block
                type="primary"
                htmlType="submit"
                className="login-form-button"
              >
                登陆
              </Button>
            </Form.Item>
          </Form>
        </div>
      </>
    );
  }
}
export default Login;
