/*
 * @Author: heinan
 * @Date: 2021-04-25 14:22:56
 * @Last Modified by: heinan
 * @Last Modified time: 2021-04-27 14:19:38
 */
import { API_ADDRESS } from '@/config';
import { USER_ANTUORIZATION } from '@/config';
import moment from 'moment';

/**
 *
 * @param timerString 时间戳
 * @returns YYYY-MM-DD HH:mm:ss 返回年月日时分秒格式的时间日期
 */
export function formatTimer(timerString: string) {
  return moment(timerString).format('YYYY-MM-DD HH:mm:ss');
}

/**
 *
 * @param api 接口地址
 * @param API_ADDRESS 接口的协议、域名、端口号
 * @returns  返回 API_ADDRESS+api得到完整的接口路径，方便根据环境（生产环境、开发环境）来根据接口地址
 */
export function resolve(api: string) {
  return API_ADDRESS + api;
}

export function hasToken() {
  return localStorage.getItem(USER_ANTUORIZATION) ? true : false;
}
export function getSession(key: string) {
  return localStorage.getItem(key);
}

export function setSession(key: string, val: any) {
  return localStorage.setItem(key, val);
}
